import { InputTextComponent } from '@colijnit/corecomponents_v12';
import { Icon } from '../../enum/icon.enum';
import { TransactionInputLineFieldBaseComponent } from '../core/base/transaction-input-line-field-base.component';
import { ImageAndDescriptionCfgNames } from '../../interface/image-and-description-cfg-names.interface';
export declare class TransactionLineDescriptionComponent extends TransactionInputLineFieldBaseComponent {
    readonly icons: typeof Icon;
    set child(content: any);
    showPurchaseDesc: boolean;
    configNames: ImageAndDescriptionCfgNames;
    customHeight: boolean;
    customerPortal: boolean;
    input: InputTextComponent;
    description: string;
    commit(description: string): Promise<boolean>;
    cancelClicked(): void;
    protected needsUpdate(description: string): boolean;
    protected getOldDescription(): string;
    protected setOldDescription(oldDescription: string): void;
    protected updateGoodDescription(description: string): Promise<boolean>;
    protected updatePurchaseDescription(description: string): Promise<boolean>;
    protected transactionLineSet(): void;
}
